Skip to main content
POST
/
api
/
v1
/
platform
/
scrapers
/
linkedin
/
profile-comments
List LinkedIn profile comments
curl --request POST \
  --url https://developer.thehog.ai/api/v1/platform/scrapers/linkedin/profile-comments \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>' \
  --data '
{
  "profiles": [
    "https://www.linkedin.com/in/satyanadella",
    "some-public-id"
  ],
  "maxItems": 10,
  "postedLimit": "any"
}
'
{
  "data": [
    {
      "profileUrl": "<string>",
      "profileUsername": "<string>",
      "commentText": "<string>",
      "post": {
        "postId": "<string>",
        "postUrl": "<string>",
        "text": "<string>",
        "authorName": "<string>",
        "authorProfileUrl": "<string>",
        "authorCompanyUrl": "<string>",
        "postedAt": "<string>",
        "reactionCount": 123,
        "commentCount": 123,
        "repostCount": 123
      },
      "id": "<string>",
      "commentedAt": "<string>",
      "sourceUrl": "<string>",
      "actor": {
        "id": "<string>",
        "name": "<string>",
        "linkedinUrl": "<string>",
        "position": "<string>",
        "universalName": "<string>",
        "pictureUrl": "<string>"
      }
    }
  ],
  "meta": {
    "requestId": "<string>"
  }
}

POST /api/v1/platform/scrapers/linkedin/profile-comments

List posts a LinkedIn profile commented on.
Retrieve recent public LinkedIn posts a profile has commented on. Provide profile URLs or public profile usernames.
See Find Outreach Hooks from LinkedIn Activity for an end-to-end script that combines profile comments and reactions into outreach context.

Options

  • profiles: LinkedIn /in/ profile URLs or public profile usernames.
  • maxItems: maximum comments to scrape per profile.
  • postedLimit: optional post age filter. Accepted values: any, 24h, week, month, 3months, 6months, year.

Example

curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/linkedin/profile-comments \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"profiles": ["https://www.linkedin.com/in/satyanadella"], "maxItems": 10, "postedLimit": "month"}'

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Body

application/json
profiles
string[]
required

LinkedIn profile URLs or public profile usernames.

Example:
[
  "https://www.linkedin.com/in/satyanadella",
  "some-public-id"
]
maxItems
number
default:10
Required range: 1 <= x <= 100
postedLimit
enum<string>
default:any

Fetch posts no older than this time window.

Available options:
any,
24h,
week,
month,
3months,
6months,
year

Response

LinkedIn profile comments.

data
object[]
required
meta
object
required